Namespace ImageGenerator
    Module Module1
        Sub Main()
            If Barcode1.IsDemo Then
                DemoText.Visible = True
                DemoLinkLabel.Visible = True
            End If
            cboSymbology.Items.Add("CODE11")
            cboSymbology.Items.Add("CODE39")
            cboSymbology.Items.Add("CODE39EXT")
            cboSymbology.Items.Add("INTERLEAVED25")
            cboSymbology.Items.Add("CODABAR")
            cboSymbology.Items.Add("MSI")
            cboSymbology.Items.Add("TELEPEN")
            cboSymbology.Items.Add("UPCA")
            cboSymbology.Items.Add("IND25")
            cboSymbology.Items.Add("MAT25")
            cboSymbology.Items.Add("EAN13")
            cboSymbology.Items.Add("EAN8")
            cboSymbology.Items.Add("UPCE")
            cboSymbology.Items.Add("CODE128")
            cboSymbology.Items.Add("CODE93")
            cboSymbology.Items.Add("CODE93EXT")
            cboSymbology.Items.Add("POSTNET")
            cboSymbology.Items.Add("PLANET")
            cboOrientation.Items.Add("0")
            cboOrientation.Items.Add("90")
            cboOrientation.Items.Add("180")
            cboOrientation.Items.Add("270")
            cboUPCESystem.Items.Add("0")
            cboUPCESystem.Items.Add("1")
            cboCode128Set.Items.Add("Auto")
            cboCode128Set.Items.Add("A")
            cboCode128Set.Items.Add("B")
            cboCode128Set.Items.Add("C")
            Try
                GetRegistryValues()
            Catch
            End Try
            SetToolTips()
            OnStartUp = False

            '*** V2006 Addition in next section
            CommandLineArgs = Microsoft.VisualBasic.Command()
            If CommandLineArgs <> "" Then
                'Create an image file from the command line
                'Format= [DataToEncode] [Optional file name, path.ImageType]
                'Example: 12345678 creates 12345678.jpeg
                'Example: 123456789012 c:\temp\TestFile.gif
                Dim separator As String = " "
                Dim args() As String = CommandLineArgs.Split(separator.ToCharArray, 3)
                Barcode1.DataToEncode = args(0)
                Try
                    separator = "."
                    Dim FileName() As String = (args(1)).Split(separator.ToCharArray, 2)
                    Dim ImageType = FileName(1).ToUpper
                    Select Case ImageType
                        Case "JPEG"
                            Barcode1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Jpeg)
                        Case "GIF"
                            Barcode1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Gif)
                        Case "BMP"
                            Barcode1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Bmp)
                        Case "PNG"
                            Barcode1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Png)
                        Case "WMF"
                            Barcode1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Wmf)
                        Case "EMF"
                            Barcode1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Emf)
                        Case "TIFF"
                            Barcode1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Tiff)
                        Case Else
                            Barcode1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Jpeg)
                    End Select
                Catch
                    Barcode1.SaveImageAs(args(0) & ".jpeg", System.Drawing.Imaging.ImageFormat.Jpeg)
                End Try
                Application.Exit()
            End If
        End Sub

    End Module
End Namespace